<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=1;
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="tercero";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Terceros';";
echo "</script>";
}

include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
 
 
  <script src="https://code.jquery.com/jquery-3.2.1.js"></script>  
 <script language="javascript">
 $(document).ready(function(){

	$("#departamento").on('change', function () {
        $("#departamento option:selected").each(function () {
            $.post("municipio.php", { iddep: document.frmempresa.departamento.value, codmuni: document.frmempresa.municipio.value, proceso:1 }, function(data) {
                $("#municipio").html(data);
            });			
        });
   });

   });

function llammunicipio(dep, mun, pro)
{
		$(document).ready(function () {			
            $.post("municipio.php", { iddep: dep, codmuni: mun, proceso:pro }, function(data) {
                $("#municipio").html(data);
        });
		});    
}


</script>
 
<script type='text/javascript'   src='../js1/jquery-1.8.3.js'></script>
<script type='text/javascript'   src="../js1/select2.min.js"></script>
<link rel="stylesheet" type="text/css"   href="../js1/select2.css">
<script type='text/javascript'   src="../js1/bootstrap.min.js"></script>

<script type='text/javascript'>
$(window).load(function(){
   $('#ciiu').select2();
});
$(window).load(function(){
   $('#pais').select2();
});
$(window).load(function(){
   $('#departamento').select2();
});
$(window).load(function(){
   $('#municipio').select2();
});
$(window).load(function(){
   $('#ubicacion').select2();
});

$(window).load(function(){
   $('#formapago').select2();
});


</script>


<style>

.select-editable {
     position:relative;
     background-color:white;
     border:solid grey 1px;
     width:120px;
     height:18px;
 }
 .select-editable select {
     position:absolute;
     top:0px;
     left:0px;
     font-size:14px;
     border:none;
     width:120px;
     margin:0;
 }
 .select-editable input {
     position:absolute;
     top:0px;
     left:0px;
     width:100px;
     padding:1px;
     font-size:12px;
     border:none;
 }
 .select-editable select:focus, .select-editable input:focus {
     outline:none;
 }

</style>


 
</head>
<body>
<?php


$clasificacion="";$tipopersona="";$tipodocumento="";$nit="";$sucursal="";$dv="";$nombre="";$contacto="";$direccion="";$telefono="";$celular="";
$pais="";$departamento="";$municipio="";$email="";$formapago="";$fiscal="";$periodopago="";$reteica="";$ciiu="";$estado="";$apellido="";
$ubicacion="";$banco=""; $tipocuenta=""; $nocuenta=""; 
	
$rs_clasificacion=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='tercero_clasificacion' order by nombre asc");
$rs_tipopersona=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='tercero_tipopersona' order by nombre asc");
$rs_tipodocumento=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='tercero_tipodocumento' order by nombre asc");
$rs_formapago=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='tercero_formapago' order by nombre asc");
$rs_pais=mysqli_query($conexion,"SELECT id,nombre FROM pais order by nombre asc");
$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado where tipo='PARAMETROS' order by nombre asc");

$rs_ubicacion=mysqli_query($conexion,"SELECT par_ubicacion.nombre,municipio.nombre as nmun FROM par_ubicacion,municipio
                                        where  par_ubicacion.estado='1' 
                                        and par_ubicacion.nombre=municipio.codigo
                                        order by municipio.nombre asc");

$rs_banco=mysqli_query($conexion,"SELECT id,nombre FROM banco union select 0,'' from banco  order by nombre asc");

if($_REQUEST["id"]>0)
	 {				
	   $id=$_REQUEST["id"];
		 $contar=0;
		 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero where id='".$id."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 	$sql_datos =mysqli_query($conexion,"select  clasificacion,tipopersona,tipodocumento,nit,sucursal,dv,contacto,direccion,pais,
														departamento,ciudad,telefono,celular,email,periodopago,nombre,formapago,estado,ubicacion,apellido,apellido2,
														banco,tipocuenta,nocuenta
													FROM tercero
													where id='".$id."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$clasificacion=$datos[0]; 						
						$tipopersona=$datos[1]; 	
						$tipodocumento=$datos[2]; 	
						$nit=$datos[3]; 	
						$sucursal=$datos[4]; 	
						$dv=$datos[5]; 	
						$contacto=$datos[6]; 	
						$direccion=$datos[7]; 	
						$pais=$datos[8]; 	
						$departamento=$datos[9]; 	
						$municipio=$datos[10]; 	
						$telefono=$datos[11]; 	
						$celular=$datos[12]; 	
						$email=$datos[13]; 	
						$periodopago=$datos[14]; 	
						$nombre=$datos[15]; 	
						$formapago=$datos[16]; 	
						$estado=$datos[17]; 
						$estadotercero=$datos[17]; 
						$ubicacion=$datos[18]; 	
						$apellido=$datos[19]; 	
						$apellido2=$datos[20];
						$banco=$datos[21];
						$tipocuenta=$datos[22];
						$nocuenta=$datos[23]; 	
						
						echo "<script>";
						echo "llammunicipio($departamento, $municipio, 1);";
						echo "</script>";
				   }
			}
			else
			  {
				$mensaje="No existe el codigo";
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php
			  }
  }

if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];	
	$clasificacion=$_REQUEST['clasificacion'];	
	$tipopersona=$_REQUEST['tipopersona'];	
	$tipodocumento=$_REQUEST['tipodocumento'];	
	$nit=$_REQUEST['nit'];	
	$ubicacion=$_REQUEST['ubicacion'];	
	$dv=$_REQUEST['dv'];	
	$nombre=$_REQUEST['nombre'];	
	$contacto=$_REQUEST['contacto'];	
	$direccion=$_REQUEST['direccion'];	
	$telefono=$_REQUEST['telefono'];	
	$celular=$_REQUEST['celular'];	
	$pais=$_REQUEST['pais'];	
	$departamento=$_REQUEST['departamento'];	
	$municipio=$_REQUEST['municipio'];	
	$email=$_REQUEST['email'];	
	$formapago=$_REQUEST['formapago'];	
	$periodopago=$_REQUEST['periodopago'];	
	$estado=$_REQUEST['estado'];	
	$apellido=$_REQUEST['apellido'];	
	$apellido2=$_REQUEST['apellido2'];	
	$banco=$_REQUEST["banco"];  
	$tipocuenta=$_REQUEST["tipocuenta"];  
	$nocuenta=$_REQUEST["nocuenta"]; 
	
if($_REQUEST["oguardar"]==1)
	 {   
		  if($nombre<>"") 
		  {   $contar=0;
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero  where nit='".$nit."' and ubicacion='".$ubicacion."' and clasificacion='".$clasificacion."' and estado='1'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
			  {
					  $mensaje="Ya existe el nit con la ubicacion en esta empresa";
					  ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
					   <?php
			  }
			  else
				{ $busqueda=1;
				 $dv=calcularDV($nit);
				  $sql_insert=mysqli_query($conexion,"insert into tercero(clasificacion,tipopersona,tipodocumento,nit,dv,nombre,contacto,direccion,pais,
				  										departamento,ciudad,telefono,celular,email,formapago,periodopago,estado,ubicacion,apellido,apellido2,banco,tipocuenta,nocuenta)
										  values('".$clasificacion."','".$tipopersona."','".$tipodocumento."','".$nit."','".$dv."',
										  		 '".$nombre."','".$contacto."','".$direccion."','".$pais."','".$departamento."','".$municipio."','".$telefono."','".$celular."',
												 '".$email."','".$formapago."','".$periodopago."','1','".$ubicacion."','".$apellido."','".$apellido2."',
												 '".$banco."','".$tipocuenta."','".$nocuenta."')"); 
				 if($sql_insert)
				   {
				        $sql_contar=mysqli_query($conexion,"SELECT max(id) FROM tercero ");
    		            while($datosid= mysqli_fetch_row($sql_contar)){ $id=$datosid[0];}
    		  
				      $mensaje="Se registro el tercero";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				   }	
				 else 
				  {
				    $mensaje="Error al registrar el tercero";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				  }				
				}
		 }
		 else {
			   $mensaje="Digite la Informacion Requerida";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		 }				

	 }//fin guardar

if($_REQUEST["omodificar"]==1)
	 {   $contar1=0;
         $sql_contar1=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero  where nit='".$nit."' and clasificacion='".$clasificacion."' and estado='1'");
		  while($datos1= mysqli_fetch_row($sql_contar1)){ $contar1=$datos1[0];}
		  if($contar1>=1) 
		  { 
    	      $contar=0;
    		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero where id='".$id."'");
    		  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
    		  if($contar>=1) 
    			{ 
    	        $dv=calcularDV($nit);
    			  $sql_update=mysqli_query($conexion,"update tercero set
    													clasificacion='".$clasificacion."',
    													tipopersona='".$tipopersona."',
    													tipodocumento='".$tipodocumento."',
    													nit='".$nit."',
    													dv='".$dv."',
    													nombre='".$nombre."',
    													contacto='".$contacto."',
    													direccion='".$direccion."',
    													pais='".$pais."',
    				  									departamento='".$departamento."',
    				  									ciudad='".$municipio."',
    													telefono='".$telefono."',
    													celular='".$celular."',
    													email='".$email."',
    													formapago='".$formapago."',
    													periodopago='".$periodopago."',
    													estado='".$estado."',
    													ubicacion='".$ubicacion."',
    													apellido='".$apellido."',
    													apellido2='".$apellido2."',
														banco='".$banco."',
														tipocuenta='".$tipocuenta."',
														nocuenta='".$nocuenta."'												
    												  where id='".$id."'"); 
    			 if($sql_update)
    			   {
    			    $mensaje="Se modifico el tercero";
    					    ?>				  
    						<script>
    						cuteToast({
    							  type: "success", // or 'info', 'error', 'warning'
    							  message: "<?php echo $mensaje; ?>",
    							  timer: 3000
    							})
    						</script>
                           <?php
    			   }	
    			 else 
    			  {
    			   $mensaje="Error al modificar el tercero";
    					    ?>				  
    						<script>
    						cuteToast({
    							  type: "error", // or 'info', 'error', 'warning'
    							  message: "<?php echo $mensaje; ?>",
    							  timer: 3000
    							})
    						</script>
                           <?php
    			  }				
    			}
    		  else
    		   {
    		    $mensaje="No existe el codigo";
    					    ?>				  
    						<script>
    						cuteToast({
    							  type: "error", // or 'info', 'error', 'warning'
    							  message: "<?php echo $mensaje; ?>",
    							  timer: 3000
    							})
    						</script>
                           <?php
    		   }	
		  }   
		  else
		  {
		    $mensaje="No se puede modificar el tercero esta inactivo";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php   
		  }
	 }//fin guardar
	 


if($_REQUEST["oborrar"]==1)
	 {   
    	      $contar=0;
    		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero where id='".$id."' and estado='1'");
    		  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
    		  if($contar>=1) 
    			{ 
					 $sql_update=mysqli_query($conexion,"update tercero set	estado='2',fechainactivo='".$fecsis."'    where id='".$id."'"); 
					 if($sql_update)
					 {
						  $mensaje="Se inactivo el tercero";
    					    ?>				  
    						<script>
    						cuteToast({
    							  type: "success", // or 'info', 'error', 'warning'
    							  message: "<?php echo $mensaje; ?>",
    							  timer: 3000
    							})
    						</script>
                           <?php
						 }
    			}
    		  else
    		   {
    		    $mensaje="No existe el codigo del tercero o el tercero esta inactivo";
    					    ?>				  
    						<script>
    						cuteToast({
    							  type: "error", // or 'info', 'error', 'warning'
    							  message: "<?php echo $mensaje; ?>",
    							  timer: 3000
    							})
    						</script>
                           <?php
    		   }	
		   
	 }//fin guardar	 


if($_REQUEST["obuscar"]==1)
             {   
					$sql_datos =mysqli_query($conexion,"select  clasificacion,tipopersona,tipodocumento,nit,sucursal,dv,contacto,direccion,pais,
														departamento,ciudad,telefono,celular,email,periodopago,nombre,formapago,estado,ubicacion,apellido,apellido2,
														banco,tipocuenta,nocuenta
													FROM tercero
													where id='".$id."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$clasificacion=$datos[0]; 						
						$tipopersona=$datos[1]; 	
						$tipodocumento=$datos[2]; 	
						$nit=$datos[3]; 	
						$sucursal=$datos[4]; 	
						$dv=$datos[5]; 	
						$contacto=$datos[6]; 	
						$direccion=$datos[7]; 	
						$pais=$datos[8]; 	
						$departamento=$datos[9]; 	
						$municipio=$datos[10]; 	
						$telefono=$datos[11]; 	
						$celular=$datos[12]; 	
						$email=$datos[13]; 	
						$periodopago=$datos[14]; 	
						$nombre=$datos[15]; 	
						$formapago=$datos[16]; 	
						$estado=$datos[17]; 	
						$ubicacion=$datos[18]; 	
						$apellido=$datos[19]; 
						$apellido2=$datos[20]; 
						$banco=$datos[21];
						$tipocuenta=$datos[22];
						$nocuenta=$datos[23];
						
						echo "<script>";
							echo "llammunicipio($departamento, $municipio, 1);";
							echo "</script>";
				   }
				  
             }//fin buscar

	if(isset ($_REQUEST['nuevo']))
	   { 
	   		$clasificacion="";$tipopersona="";$tipodocumento="";$nit="";$sucursal="";$dv="";$nombre="";$contacto="";$direccion="";$telefono="";$celular="";
			$pais="";$departamento="0";$municipio="0";$email="";$formapago="";$fiscal="";$periodopago="";$reteica="";$ciiu="";$estado="1";$ubicacion="0";$apellido="";$apellido2="";$id="";
			$ubicacion="";$banco=""; $tipocuenta=""; $nocuenta="";
				echo "<script>";
						echo "llammunicipio($departamento, $municipio, 1);";
						echo "</script>";
	   }

  }


?>
<form name="frmempresa" method="post" action="" >
  <input name="id" type="hidden"  id="id"    value="<?php echo $id; ?>"  />
 <center>
    <div class="panel panel-primary" style="width:90%;">
      <div class="panel-heading">TERCERO</div>
       <div align="center">
         <table width="100%" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" >
          
          <tr>
            <td width="10%" height="-10"><span class="texto">Clasificacion</span></td>
            <td width="23%">
           	  <select name="clasificacion"  id="clasificacion"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
                <option value="0" selected></option>
              <?php while ($rowba=mysqli_fetch_array($rs_clasificacion))
									{
									 if ($clasificacion==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select>
            <td width="10%" align="right"><span class="texto">Tipo Persona</span></td>
            <td width="23%">
            		<table width='100%' border='0'>
                    <tr>
                    <td width="90%">
                    <select name="tipopersona"  id="tipopersona"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
                     <option value="0" selected></option>       
              <?php while ($rowba=mysqli_fetch_array($rs_tipopersona))
									{
									 if ($tipopersona==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select>
            </td>
            <td>
            <img src="../imagenes/help.png" width="30" height="30" title="Ayuda"  onClick="javascript:window.open('../parametrosg/frm_parametrosg.php?tabla=par_generales&id=&tipo=tercero_tipopersona','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" />
            </td>
            </tr>
            </table>
            
            </td>
            <td width="10%" align="right"><span class="texto">Tipo Documento</span></td>
            <td width="23%">
   			  <table width="100%" border=0>
   			    <tr>
   			      <td width="90%">
                   <select name="tipodocumento"  id="tipodocumento" class="form-control" style="width: 100%" onChange="submit();" >
                <option value="0" selected></option>    
              <?php while ($rowba=mysqli_fetch_array($rs_tipodocumento))
									{
									 if ($tipodocumento==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select>
                  </td>
   			      <td align="center"><img src="../imagenes/help.png" width="30" height="30" title="Ayuda"  onClick="javascript:window.open('../parametrosg/frm_parametrosg.php?tabla=par_generales&id=&tipo=tercero_tipodocumento','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" /></td>
		        </tr>
		      </table>
   			 </td>
          </tr>
          
          <tr>
            <td ><span class="texto">Nit</span></td>
            <td><input name="nit" type="text"  id="nit"    value="<?php echo $nit; ?>"   style="width: 100%" class="form-control" onKeyPress="<?php echo calcularDV($nit);?>"/></td>
            <td align="right" >DV</td>
            <td ><input name="dv" type="text"  id="dv"    value="<?php echo $dv; ?>"  style="width: 30%" class="form-control" maxlength="2"/></td>
            <td align="right" ><span class="texto">Ubicacion</span></td>
            <td ><table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tbody>
                <tr>
                  <td width="89%"><select name="ubicacion"  id="ubicacion"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control"  style="width: 100%" >
                        <option value="" ></option>
                    <?php while ($rowba=mysqli_fetch_array($rs_ubicacion))
									{    
									    /*$ndep="";
										 $sql_contar=mysqli_query($conexion,"SELECT nombre,departamento FROM municipio where codigo='".$rowba['nombre']."'");
		  								 while($datos= mysqli_fetch_row($sql_contar)){ $nmunicipio=$datos[0]; $ndep=$datos[1];}
		  								 */
		  
									 if ($ubicacion==$rowba['nombre'])
										{echo "<option value=".$rowba['nombre']." selected>".$rowba['nmun']."</option>";}
									 else
										{echo "<option value=".$rowba['nombre'].">".$rowba['nmun']."</option>";}		
									}
							 ?>
                  </select></td>
                  <td width="11%"><img src="../imagenes/help.png" width="30" height="30" title="Ayuda"  onClick="javascript:window.open('../parametrosg/ubicacion.php?tabla=par_ubicacion','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" /></td>
                </tr>
              </tbody>
          </table></td>
          </tr>
          
          <tr>
            <td colspan="6" ><table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tbody>
                  <tr>
                    <td width="10%"><span class="texto">
                    <?php
                    
                     if($tipodocumento=='42' || $tipodocumento=='46'){echo "Razon Social";}
					 else {echo "Nombres";}
					?>
                    </span></td>
                    <td width="32%"><input name="nombre" type="text"  id="nombre"    value="<?php echo $nombre; ?>" style="width: 100%" class="form-control"/></td>
                    <td width="8%" align="right"><span class="texto">
                    <?php
                     if($tipodocumento=='42' || $tipodocumento=='46'){ $tipohidden="hidden";}
					 else {echo "1er. Apellido"; $tipohidden="text";}
					?>
                    </span></td>
                    <td width="15%"><input name="apellido" type="<?php echo $tipohidden;?>"  id="apellido"    value="<?php echo $apellido; ?>" style="width: 100%" class="form-control"/></td>
                    <td width="9%"><span class="texto">
                      <?php
                     if($tipodocumento=='42' || $tipodocumento=='46'){ $tipohidden="hidden";}
					 else {echo "2do. Apellido"; $tipohidden="text";}
					?>
                    </span></td>
                    <td width="26%"><input name="apellido2" type="<?php echo $tipohidden;?>"  id="apellido2"    value="<?php echo $apellido2; ?>" style="width: 100%" class="form-control"/></td>
                  </tr>
                </tbody>
            </table></td>
           </tr>
          
          <tr>
            <td align="left"><span class="texto">Direccion</span></td>
            <td align="center"><input name="direccion" type="text"  id="direccion"    value="<?php echo $direccion; ?>" style="width: 100%" class="form-control"/></td>
            <td  align="right"><span class="texto">Telefono </span></td>
            <td  align="center"><input name="telefono" type="text"  id="telefono"    value="<?php echo $telefono; ?>"  style="width: 100%" class="form-control"/></td>
            <td  align="right"><span class="texto">Celular</span></td>
            <td  align="center"><input name="celular" type="text"  id="celular"    value="<?php echo $celular; ?>" style="width: 100%" class="form-control"/></td>
          </tr>
          
          <tr>
            <td align="left">Pais</td>
            <td align="center"><select name="pais"  id="pais"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" onChange="submit();" >
             <option value="0" > </option>    
              <?php while ($rowba=mysqli_fetch_array($rs_pais))
									{
									 if ($pais==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select></td>
            <td  align="right">Departamento</td>
            <td  align="left">
                <?php
                 if($pais>0)
                 {
                     $rs_departamento=mysqli_query($conexion,"SELECT codigo,nombre FROM departamento where pais='".$pais."' order by nombre asc");
                 }
                 else
                 {
                     $rs_departamento=mysqli_query($conexion,"SELECT 0,'' FROM departamento order by nombre asc");
                 }
                ?>
                
                <select name="departamento"  id="departamento"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control"  style="width: 100%" >
              <?php while ($rowba=mysqli_fetch_array($rs_departamento))
									{
									 if ($departamento==$rowba['codigo'])
										{echo "<option value=".$rowba['codigo']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['codigo'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select></td>
            <td  align="right">Ciudad</td>
            <td  align="left">
            <select name="municipio"  id="municipio" 
                        onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                        class="form-control"  style="width:100%">
               </select>
            </td>
          </tr>
          
          <tr>
            <td align="left">Email</td>
            <td  colspan="2" align="center"><input name="email" type="text"  id="email"    value="<?php echo $email; ?>" 
              style="width: 100%;" class="form-control"/>
            </td>
            <td colspan="3" align="right"><table width="100%" border=0>
                <tr>
                        <td width="41%" align="right">Forma Pago</td>
                      <td width="49%"><select name="formapago"  id="formapago"
                                onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"  class="form-control" style="width: 100%" >
                        <option value="0" selected></option>
                        <?php while ($rowba=mysqli_fetch_array($rs_formapago))
                                        {
                                         if ($formapago==$rowba['id'])
                                            {echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
                                         else
                                            {echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
                                        }
                                 ?>
                      </select></td>
              		 <td width="10%" align="center">
                     
               <img src="../imagenes/help.png" width="30" height="30" title="Ayuda"  onClick="javascript:window.open('../parametrosg/frm_parametrosg.php?tabla=par_generales&id=&tipo=tercero_formapago','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" />
               </td>
               </tr>
               </table>            </td>
           </tr>
          
          <tr>
            <td align="left">Periodo Pago (Dias)</td>
            <td  align="center"><input name="periodopago" type="text"  id="periodopago"    value="<?php echo $periodopago; ?>"   style="width: 100%" class="form-control"/></td>
            <td  align="right"><span class="texto">Contacto</span></td>
            <td  align="center"><input name="contacto" type="text"  id="contacto"    value="<?php echo $contacto; ?>"  style="width: 100%" class="form-control"/></td>         
            <td  align="right">Estado</td>         
            <td  align="center"><select name="estado"  id="estado"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
              <?php while ($rowba=mysqli_fetch_array($rs_estado))
									{
									 if ($estado==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select></td>          </tr>

          <tr>
            <td align="left">Tipo Cuenta            
            <td align="left"><select name="tipocuenta" id="tipocuenta"
                         class="form-control" data-placement="right"  style="width: 150px" 
                         onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'" >
              <?PHP
							  if($tipocuenta=="0"){echo "<option value='0' selected></option>";}
							  else {echo "<option value='0' ></option>";}
							  if($tipocuenta=="A"){echo "<option value='A' selected>Ahorros</option>";}
							  else {echo "<option value='A' >Ahorros</option>";}
							  if($tipocuenta=="C"){echo "<option value='C' selected>Corriente</option>";}
							  else {echo "<option value='C' >Corriente</option>";}
							?>
            </select>            
            <td align="right">No Cuenta            
            <td align="right"><input name="nocuenta" type="text"   id="nocuenta" value="<?php echo $nocuenta; ?>"
                         class="form-control" data-placement="right"  style="width: 100%"  								
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'">            
            <td align="right">Banco            
            <td align="right"><select name="banco" id="banco" 
               				 class="form-control" data-toggle="tooltip" data-placement="bottom" title="Seleccione " style="width: 100%">
              <?php while ($rowba=mysqli_fetch_array($rs_banco))
									{
									 if ($banco==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
            </select>           
            </td>
            <td><img src="../imagenes/help.png" width="30" height="30" title="Ayuda"  onClick="javascript:window.open('../parametrosg/frm_parametros.php?tabla=banco','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" /></td>
            </tr>
          <tr>
            <td  colspan="6" align="center">          
          </tr>
          <tr>
            <td  colspan="6" align="center"><input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px"/>
              <?php
              //if($nit=="")
             // {
              ?>
              <input name="guardar" type="button"  id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
              <input name="modificar" type="button"  id="modificar"  value="Modificar" 	onClick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
              <?php
			  //}
              if($id<>"")
              {
              ?>
              <input name="borrar" type="button"  id="borrar"  value="Inactivar" 	onClick="return pregunta_borrar();" class="btn btn-primary" style="width:100px" />
              <?php
			  }
			  ?>
              <input name='rep' type='button'  id='rep' value='Contable'   class="btn  btn-primary" 
						  onClick="javascript:window.open('contable.php?id=0&tercero=<?php echo $id;?>&ubicacion=<?php echo $ubicacion; ?>&clasificacion=<?php echo $clasificacion;?>','cnta','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');"  style="width:150px"  />
              <input name='fiscal' type='hidden'  id='fiscal' value='Fiscal'    class="btn btn-primary" style="width:140px" data-toggle="modal" data-target="#modal-fiscal" />
              <?php
			  //}
              ?>
              <input name='rep' type='hidden'  id='rep' value='Documentos Anexos'   class="btn  btn-primary" 
						  onClick="javascript:window.open('tercero_anexo.php?ne=<?php echo $empresa;?>&nt=<?php echo $id;?>&valida=1','TERREPa','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=600');" 
                          style="width:150px"  />
              <input name='rep' type='button'  id='rep' value='Reporte'   class="btn  btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('tercero_reporte.php','TERREP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=600');" 
                          style="width:150px"  />
              <input type="hidden" name="oculto" />
              <input name="oguardar" type="hidden" id="oguardar" />
              <input name="omodificar" type="hidden" id="omodificar" />
              <input name="oborrar" type="hidden" id="oborrar" />
              <input name="obuscar" type="hidden" id="obuscar" />
            </tr>
         </table>
   </div>
   



 </div>
 </center>  

<?php
function calcularDV($nit) {
    if (! is_numeric($nit)) {
        return false;
    }
 
    $arr = array(1 => 3, 4 => 17, 7 => 29, 10 => 43, 13 => 59, 2 => 7, 5 => 19, 
    8 => 37, 11 => 47, 14 => 67, 3 => 13, 6 => 23, 9 => 41, 12 => 53, 15 => 71);
    $x = 0;
    $y = 0;
    $z = strlen($nit);
    $dv = '';
    
    for ($i=0; $i<$z; $i++) {
        $y = substr($nit, $i, 1);
        $x += ($y*$arr[$z-$i]);
    }
    
    $y = $x%11;
    
    if ($y > 1) {
        $dv = 11-$y;
        return $dv;
    } else {
        $dv = $y;
        return $dv;
    }
}

?>



<SCRIPT type=text/javascript>


function pregunta_borrar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Inactivar tercero, una vez aceptado no se puede devolver el proceso",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  document.frmempresa.oborrar.value=1; 
			document.frmempresa.submit();		
		    return true;
	   } 
	  else {
			document.frmempresa.oborrar.value=0;
			return false; 
	  }
	})
}

function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempresa.oguardar.value=0;			
			return false;
			}
		else
		  { document.frmempresa.oguardar.value=1; 
			document.frmempresa.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempresa.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempresa.omodificar.value=1; 
			document.frmempresa.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempresa.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  
	
	var mensaje='';
		 if(document.frmempresa.nit.value!=''){}
		 else {mensaje=mensaje + 'Nit,';    }
		 if(document.frmempresa.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre,';    }
		 /*
		if(document.frmempresa.direccion.value!=''){}	
	 	 else {mensaje=mensaje + 'Direccion,';    }
		 if(document.frmempresa.notifiva.value!=''){}	
	 	 else {mensaje=mensaje + 'Email Notificacion,';    }
		 if(document.frmempresa.clave.value!=''){}	
	 	 else {mensaje=mensaje + 'Clave,';    }
		*/ 
		if(document.frmempresa.nit.value!='' && document.frmempresa.nombre.value!=''){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JASCON",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>


              

<div class="modal fade" id="modal-fiscal">
        <div class="modal-dialog modal-xl" style="width:50%;">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title">FISCAL</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <iframe src="tercero_fiscal.php?tercero=<?php echo $id;?>" width="100%" height="450PX" style="border:hidden;"></iframe>
            </div>
            <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
</div>



</form>
</body>
</html>    
